Page MenuHomePhabricator

IFTTT implement the triggers to support Wikidata (GSoC Proposal)
Closed, DeclinedPublic

Description

Title of the Project

  IFTTT implement the triggers to support Wikidata


- Amit_gkp (Amit Kumar Jaiswal)


- Corresponding Phab Task: **T118463**

Synopsis
Using Task automation tool IFTTT for things like integrating vast data on Wikipedia which supports Wikidata, integrating links with the help of various triggers. The sources of information or "triggers" and the available possibilities of the "output" like Facebook, Instagram, Twitter and more. One important feature of IFTTT is recipes that give us the ability to make this a very powerful automation resource. Weather being one such example. Weather is "this" sources as a trigger; like an email invite on Hike, only if the weather turns out to be good, no need to go on computer and click "send" which is a kind of automation than can save our time.

This project aims to implement the triggers to support Wikidata. This can be done by dividing the task of implementing recipes and triggers into a set of smaller deliverables, the details of which follow.

Possible Mentors
Primary Mentor: @Slaporte (Stephen LaPorte)
Co-Mentor: @Lydia_Pintscher (Lydia Pintscher)

Project Details
Following are the list of proposed triggers to achieve my goal of implementing the triggers to support Wikidata.

  1. 1. Modify Item
  1. 2. New feed item( fires every time a new item is added to the feed you specify)
  1. 3. Delete item
  1. 4. New feed item matches( fires every time a new item in the feed you specify contains a particular keyword or phrase)
  1. 5. Release at once

Schedule

Milestones

  1. 1. Completion of some significant task like developing triggers.
  1. 2. Keep track on these significant checkpoints throughout the project lifecycle.
  1. 3. Project milestones focuses on four P`s: people, product, process and project.
  1. 4. Keep analysis of a specific “ percentage complete” for any given amount of work.
  1. 5. Any significant circumstance or event unique to a given project.

Deliverables

  1. 1. We've to assign each deliverable to a separate phase of the project and use a milestone that represents the completion of both the deliverable and the phase simultaneously.
  1. 2. Grouping of similar deliverables or deliverables with the same stakeholders in a phase allows us to schedule a team to work on a project until the deliverable is handed off.
  1. 3. We've to group deliverables that are worked on during the same time period into phases that span that time period. This is useful for projects where trade-offs can be made in the scope and quality of the deliverable to meet the deadline.
  1. 4. Create inter-project dependencies on deliverables from other similar projects.

Post Google Summer of Code
I am a third year undergraduate of Computer Science currently pursuing Bachelor in B.Tech, and hence have at least one more years till I finish my college. I would like to follow up on my project work even after the Google Summer of Code program is over. I will be available for maintenance and bug fixes (if any) in my work even after GSoC, and would very much like to use this experience to work on other triggers which need IFTTT implementation.

Timeline
An overview:

Week 1 - Week 4: Getting to know the community and making a plan.
Week 4 - Week 5: Wrapping up subtasks from beginning including SRS.
Week 5 - Week 9: Coding , revising and Community review.
Week 9 - Week 13: Bug fixes and adding new triggers.
Week 13 - Week 16: Wrapping up all substask and evaluation of final goal.

Profile

Name: Amit Kumar Jaiswal
Email: amitkumarj441@gmail.com
Alternate Email: amit_gkp@live.in
LinkedIn: https://in.linkedin.com/in/amitkumarjaiswal1
Skype: amitkumarja
Telephone: +91-8081187743
Country of Residence: India
Timezone: India(UTC+05:30)
Primary Language: English

Open Source Development Experience

Mozilla Support: https://support.mozilla.org/en-US/user/amit_gkp
Mozilla Science Lab: https://www.mozillascience.org/u/amitkumarj441
Bugzilla: amitkumarj441@gmail.com
Hackerrank: https://www.hackerrank.com/amit_gkp
Mozillian: https://mozillians.org/en-US/u/amitkumarj441/
Hackerearth: https://www.hackerearth.com/@amitkumarj441
Mozilla Science Lab Contribution: https://github.com/amitkumarj441/CDT-plusplus

About me

  1. 1. Education : I am currently in my third year of undergraduate study at UIET CSJM University, pursuing a four year program which will award me with a B.Tech in Computer Science & Engineering, with the expected year of graduation being 2017.
  1. 2. Why WMF : Though I was hugely delighted by the experience of open souce contribution to Mozilla that i have gained so far and would love to reveal more things to help me understand more about the subject I truly adore, to help me understand the mind of consumer better and to learn some soft skills which have proven to be effective over many years. I would specifically like to focus on research projects involving coding, research and analysis and that`s why i chosen WMF which was a huge learning curve gave me confidence that i could work successfully in a company.
  1. 3. Why me : I trust that you have come across many others who are equipped for this Internship in terms of capabilities and abilities, I’ve had a knack of getting my point across very well, communicating with people, understanding their needs and providing them with a value proposition which is truly hard to refuse. My skills lie in my ability to comprehensively read and understand the situation and act quickly and yet smartly. However,going through my past experience and work performance you will find out that I am one of the more dedicated individuals who take their professional lives as seriously as they take their personal lives. I wish to implement the skills that I have learned, in the real world. What better way to prove that I have truly been benefited by this education, and what better place to start. Therefore, I am sure that with my dedication and capabilities, I am one of the best options that are available for the said program.

Event Timeline

Amit_gkp created this task.Mar 24 2016, 6:33 PM
Amit_gkp renamed this task from IFTTT implement the triggers to automate Wikidata to IFTTT implement the triggers to support Wikidata .Mar 24 2016, 6:41 PM
Amit_gkp raised the priority of this task from Low to Normal.

Hi @Amit_gkp - have you done any coding tasks to demonstrate your ability to complete this project yet? It's a formal requirement for selection.

@Niharika Yes, I am a IIIrd year CSE undergrad and a passionate coder and i would like to work on this project under GSoC.
I did one mistake, i created this as a subtask and now I am going to post my proposal after editing this subtask.

Amit_gkp renamed this task from IFTTT implement the triggers to support Wikidata to IFTTT implement the triggers to support Wikidata (GSoC Proposal).Mar 25 2016, 5:56 PM
Amit_gkp claimed this task.
Amit_gkp updated the task description. (Show Details)

I just submitted my Final proposal pdf to GSoC somehow. I do understand that there is much more competition for the program I applied for. I would like to improve my GSoC application and skills, so I would be most grateful if you could let me have some feedback on my application, so that I may do better in future.

Lydia_Pintscher moved this task from incoming to hold on the Wikidata board.Apr 21 2016, 1:54 PM
01tonythomas closed this task as Declined.Apr 23 2016, 6:13 AM

Thank you for your proposal, but sadly it didn't make it to the selects this time. You are welcome to apply for Outreachy round'13, or GSoC round 14 with the same proposal ( if it still have consensus ) or a new one if elibible. Please notify your siblings below 18 years of age about the Google Code In 2016 ( g.co/gci ) round and add yourself as a mentor for the same, if eligible. Closing the proposal as Declined, see you around in #wikimedia-dev.